aboutsummaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorKarel Kočí <cynerd@email.cz>2023-01-08 11:08:52 +0100
committerKarel Kočí <cynerd@email.cz>2023-01-08 11:08:52 +0100
commit99c357915697b9d800523b2252850c758e2aae1d (patch)
treed296b94d4f4532f412554ce52f414bc77df67fce /tools
parente7abf8728a0fd0a77e6fa5803acd1b0c1e0682c6 (diff)
downloadnixos-personal-99c357915697b9d800523b2252850c758e2aae1d.tar.gz
nixos-personal-99c357915697b9d800523b2252850c758e2aae1d.tar.bz2
nixos-personal-99c357915697b9d800523b2252850c758e2aae1d.zip
nixos/monitoring: expand monitoring
Diffstat (limited to 'tools')
-rwxr-xr-xtools/influxdb-monitoring.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/tools/influxdb-monitoring.sh b/tools/influxdb-monitoring.sh
index 6488d4f..f83f792 100755
--- a/tools/influxdb-monitoring.sh
+++ b/tools/influxdb-monitoring.sh
@@ -3,11 +3,15 @@
# telemetries.
set -eu
+if ! command -v influx jq pass; then
+ exec nix shell 'nixpkgs#influxdb2' 'nixpkgs#jq' 'nixpkgs#pass' -c "$0" "$@"
+fi
+
cd "${0%/*}/.."
influx_args=(
# Warning: you might want to modify this when you move the InfluxDB host
- "--host" "http://ridcully:8086"
+ "--host" "http://errol:8086"
"--token" "$(pass 'nixos-secrets/influxdb/token/cynerd')"
)